Page MenuHomePhabricator

Update GC audit to read WX file
Closed, ResolvedPublic2 Estimated Story Points

Description

Global Collect is moving away from their WR1 nightly audit file into a new "WX" nightly file. We must migrate our systems by end of Fiscal

Documentation from GC: filesrv1/fundraising/Tech/GC wx report docs

Pasted below is the email from GC


Global Collect continuously works to enhance its reporting capabilities. As such, we are pleased to announce that as of today we will be migrating our current operational report file ‘WR1 file’ to a new extended file we refer to as the ‘WX file’.

The new ‘WX file’ brings you significant benefits:

New records types - Several new record types are added in the WX file providing you additional information such as Declined transaction, Canceled transactions and information on chargebacks.
New and changed data fields – next to new record types, the WX file also introduces several new data fields, like fraud status, Payment status and several chargeback related fields.
Multiple formats - the WX file will be available in two formats: in XML and in the fixed length ASCII format while the WR1 file is only available in ASCII format
Increased frequency - the WX file will be delivered seven days a week compared to the WR1 file which is delivered five days a week (Monday – Friday)
Premium fields – Premium fields are fields that hold special information to enhance your Business Intelligence, such as custom fields which can hold any information you provide us (to be completed in a future release)

Next to the WX file we also aligned the Appendix Collection report with the new record types and fields. This file will also be available in XML as well as .CSV.

This means we will move away from the current WR file and Appendix collection report as of 1st of August 2014.

To migrate to the new report file (WX file) we encourage you to take the following steps:

Review the attached technical specifications to analyze the impact and extend of changes that have to be done on your side.
Contact your Merchant Services team and request the WX file to be enabled for your account(s) on test and production environments, a one-off sample report file is also available to be send to you upon request.
Please provide your preferred format choice XML or Ascii. The default format of the new extended daily operation report file (WX) will be XML.

For more information or to make arrangements now to migrate to the WX file, please contact your respective Merchant Services team or your Account Manager.

We would like to draw attention and clarify two situations in which the file name of our daily “WX” and “CAR” reporting files could change, so that the reason for the change is clear and our merchants understand how to handle the file(s).

Firstly, with every update to the files, the file name is also updated to reflect the corresponding version number. This helps us track and maintain control over the file versions.

The naming convention for the WX/CAR file is as follows: wx1.aaaaaaaaaayyyymmdd.xxyyzz.ttt

aaaaaaaaaa
Merchant ID (10 digits)
yyyy
Year (4 digits)
mm
Month (2 digits)
dd
Day (2 digits)
xx
Major version of the file (2 digits)
yy
Minor version of the file (2 digits)
zz
The patch level of the file (2 digits)
ttt
File extension according to the file format

The last positions of the file name before the extension represent version numbers and will change with each update. We therefore recommend torefrain from scripting on the last 6 positions of the file name in order to ensure smooth processing of upgraded files.

Secondly, in exceptional cases where a file needs to be recreated, GlobalCollect will adjust the file name to begin wx2 in place of wx1 (and the value is incremented by one with each file re-run). This renaming allows GlobalCollect and merchants to distinguish the files so that the correct, complete file can be processed.

Should you have any further questions please contact Merchant Services with referencing communication F14072015.

Event Timeline

atgo assigned this task to K4-713.
atgo raised the priority of this task from to Medium.
atgo updated the task description. (Show Details)
atgo edited a custom field.
atgo added subscribers: Aklapper, atgo, ellery.

Hey @K4-713 could you leave some breadcrumbs here in case we need to pick this up before you can get to it?

awight removed K4-713 as the assignee of this task.Jun 8 2015, 7:29 PM
awight added a subscriber: awight.

Note: deprioritized out of the sprint...

Change 199653 had a related patch set uploaded (by Awight):
WIP / DO NOT MERGE - GC WX audit module

https://gerrit.wikimedia.org/r/199653

Change 220680 had a related patch set uploaded (by Awight):
Move GC audit module to _old

https://gerrit.wikimedia.org/r/220680

Change 220680 abandoned by Awight:
DO NOT MERGE Move GC audit module to _old

Reason:
Let's not do this. We can call the new thing something new.

https://gerrit.wikimedia.org/r/220680

This task makes no sense considering the lack of a proper task title and description, I suggest fixing the aforementioned things

Ejegg raised the priority of this task from Medium to High.Jul 31 2017, 7:18 PM
Ejegg added a subscriber: Ejegg.

Update from Ingenico - some donations that donor services pushed through manually are ONLY added to this report, not to the old reports.

Change 368948 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/SmashPig@master] WIP Ingenico WX audit parsing

https://gerrit.wikimedia.org/r/368948

Ejegg added a subtask: Restricted Task.Aug 1 2017, 7:49 PM

Change 368948 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Ingenico WX audit parsing

https://gerrit.wikimedia.org/r/368948

Change 199653 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Ingenico WX audit module

https://gerrit.wikimedia.org/r/199653

Change 370214 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/SmashPig@master] Ingenico WX audit: flag recurring transactions

https://gerrit.wikimedia.org/r/370214

Change 370214 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Ingenico WX audit: flag recurring transactions

https://gerrit.wikimedia.org/r/370214

Ejegg closed subtask Restricted Task as Resolved.Aug 30 2017, 7:35 PM